<html>
<head>
<title>Ogre::deque&lt; T, A &gt; Struct Template Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1deque.html">deque</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::deque&lt; T, A &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::deque" -->
<p><code>#include &lt;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&gt;</code></p>

<p><a href="structOgre_1_1deque-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef std::deque&lt; T, A &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1deque.html#a7296ba4fcb7a0674c6d12345155efe02">type</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef std::deque&lt; T, A &gt;<br class="typebreak"/>
::<a class="el" href="structOgre_1_1deque.html#adef10edbb5a79b34333ccc22d485ddcb">iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1deque.html#adef10edbb5a79b34333ccc22d485ddcb">iterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef std::deque&lt; T, A &gt;<br class="typebreak"/>
::<a class="el" href="structOgre_1_1deque.html#a75d8ae7a32cb680b01d37c0bfe293755">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1deque.html#a75d8ae7a32cb680b01d37c0bfe293755">const_iterator</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename T, typename A = STLAllocator&lt;T, GeneralAllocPolicy&gt;&gt;<br/>
struct Ogre::deque&lt; T, A &gt;</h3>


<p>Definition at line <a class="el" href="OgrePrerequisites_8h_source.html#l00476">476</a> of file <a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a75d8ae7a32cb680b01d37c0bfe293755"></a><!-- doxytag: member="Ogre::deque::const_iterator" ref="a75d8ae7a32cb680b01d37c0bfe293755" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, typename A = STLAllocator&lt;T, GeneralAllocPolicy&gt;&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef std::deque&lt;T, A&gt;::<a class="el" href="structOgre_1_1deque.html#a75d8ae7a32cb680b01d37c0bfe293755">const_iterator</a> <a class="el" href="structOgre_1_1deque.html">Ogre::deque</a>&lt; T, A &gt;::<a class="el" href="structOgre_1_1deque.html#a75d8ae7a32cb680b01d37c0bfe293755">const_iterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePrerequisites_8h_source.html#l00481">481</a> of file <a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>.</p>

</div>
</div>
<a class="anchor" id="adef10edbb5a79b34333ccc22d485ddcb"></a><!-- doxytag: member="Ogre::deque::iterator" ref="adef10edbb5a79b34333ccc22d485ddcb" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, typename A = STLAllocator&lt;T, GeneralAllocPolicy&gt;&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef std::deque&lt;T, A&gt;::<a class="el" href="structOgre_1_1deque.html#adef10edbb5a79b34333ccc22d485ddcb">iterator</a> <a class="el" href="structOgre_1_1deque.html">Ogre::deque</a>&lt; T, A &gt;::<a class="el" href="structOgre_1_1deque.html#adef10edbb5a79b34333ccc22d485ddcb">iterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePrerequisites_8h_source.html#l00480">480</a> of file <a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7296ba4fcb7a0674c6d12345155efe02"></a><!-- doxytag: member="Ogre::deque::type" ref="a7296ba4fcb7a0674c6d12345155efe02" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, typename A = STLAllocator&lt;T, GeneralAllocPolicy&gt;&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef std::deque&lt;T, A&gt; <a class="el" href="structOgre_1_1deque.html">Ogre::deque</a>&lt; T, A &gt;::<a class="el" href="structOgre_1_1deque.html#a7296ba4fcb7a0674c6d12345155efe02">type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePrerequisites_8h_source.html#l00479">479</a> of file <a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
